v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{studyVersion}/rnddesign/{rndDesignId}/rndlist/upload/uploadrndlist
Uploads a randomization list in Oracle Clinical One Platform based on the mapped headers and treatment, cohort, stratum mappings. Rights: DesignerRandListUpload.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndDesignId(required): string(uuid)
ID of the randomization design.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyVersion(required): string
Version of the study.Example:
1
Supported Media Types
- application/json
Root Schema : Randomization List Upload Request
Type:
objectTitle:
Randomization List Upload RequestContains randomization list mapping detail such as headers, treatment, stratums and cohorts.
Show Source
-
cohortMappings: array
cohortMappings
-
containsHeader: boolean
-
containsHeadersRow(required): string
Allowed Values:
[ "y", "n", "Y", "N" ]Pattern:[yYnN]Contains Headers Row.Example:y -
fileId(required): string
(uuid)
Unique ID for field.
-
headerMappings: array
headerMappings
-
headerMappingsMap: object
headerMappingsMap
Additional Properties Allowed: HeaderMapping
-
stratumMappings: array
stratumMappings
-
treatmentMappings: array
treatmentMappings
Nested Schema : cohortMappings
Type:
Show Source
array-
Array of:
object DataMapping
Contains data mapping.
Example:
[
{
"sourceValue":"Cohort-1",
"targetValue":"Cohort 1"
}
]Nested Schema : headerMappings
Type:
Show Source
array-
Array of:
object HeaderMapping
Title:
HeaderMappingContains header mapping.
Example:
[
{
"csvHeader":"Treatment",
"targetField":"treatment"
}
]Nested Schema : headerMappingsMap
Type:
objectAdditional Properties Allowed
Show Source
-
object HeaderMapping
Title:
HeaderMappingContains header mapping.
Nested Schema : stratumMappings
Type:
Show Source
array-
Array of:
object DataMapping
Contains data mapping.
Example:
[
{
"sourceValue":"Male",
"targetValue":"Male"
}
]Nested Schema : treatmentMappings
Type:
Show Source
array-
Array of:
object DataMapping
Contains data mapping.
Example:
[
{
"sourceValue":"TRT-A",
"targetValue":"Treatment A"
}
]Nested Schema : DataMapping
Type:
objectContains data mapping.
Show Source
-
dataFromFile: string
Data from file.Example:
TA -
dataId: string
(uuid)
Unique data Id.
Example:
{
"sourceValue":"Cohort-1",
"targetValue":"Cohort 1"
}Nested Schema : HeaderMapping
Type:
objectTitle:
HeaderMappingContains header mapping.
Show Source
-
dbHeader(required): string
DB headerExample:
Kit Number -
fileHeader(required): string
File headerExample:
Kit Number
Example:
{
"fileHeader":"Kit Number",
"dbHeader":"KIT_NUMBER"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : GenerateResponse
Type:
objectTitle:
GenerateResponseResponse object for created randomization list.
Show Source
-
listId: string
Title:
List IDUnique ID of generated randomization list.Example:9ECA4FA65076451DA7D47D59367D15A5 -
noOfRowsGenerated: integer
(int32)
Title:
Number of Rows GeneratedNumber of rows generated for the randomization list.Example:5
Examples
400 Response
Randomization list can't be generated/uploaded as there is no algorithm for the randomization designOr you must associate the randomization design with a visit before you can create/upload a randomization list for itOr the file can't be uploaded because it contains invalid content, such as special characters, empty cells, or empty rowsOr empty CSV content
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Study not found. Or randomization design not found. Or design not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples